<?php
/*
 * $RCSfile: AddComment.inc,v $
 *
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2005 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */

/**
 * @package Puzzle
 * @version $Revision: 0.9 $ $Date: 2005/11/12 20:28:11 $
 * @author J. Mike Rollins <rollins@CamoTruck.Net>
 */

/**
 * CamoTruck.Net Puzzle Module
 *
 * This module provides support for adding puzzles to items
 *
 * @package Puzzle
 */

class MakePuzzleView extends GalleryView 
  {
    /**
     * @see GalleryView::loadTemplate
     */
    function loadTemplate(&$template, &$form) 
      {
        global $gallery;

	/* Load our item */
	list ($ret, $item) = $this->_getItem();
	if ($ret->isError()) 
          {
	    return array($ret->wrap(__FILE__, __LINE__), null);
          }


	$MakePuzzle = array();
	$MakePuzzle['itemId'] = $item->getId();
	$MakePuzzle['serialNumber'] = $item->getSerialNumber();


        $MakePuzzle['puzzleType'] = 1;
        if (!empty($form['puzzleType']))
          {
            if ($form['puzzleType'] == 'slide')
                $MakePuzzle['puzzleType'] = 1;
            else if ($form['puzzleType'] == 'swap')
                $MakePuzzle['puzzleType'] = 0;
          }

        $MakePuzzle['puzzleNum'] = 2;
        if (!empty($form['puzzleLevel']))
          {
            if ($form['puzzleLevel'] == 'easy')
                $MakePuzzle['puzzleNum'] = 2;
            if ($form['puzzleLevel'] == 'moderate')
                $MakePuzzle['puzzleNum'] = 3;
            if ($form['puzzleLevel'] == 'hard')
                $MakePuzzle['puzzleNum'] = 4;
            if ($form['puzzleLevel'] == 'veryhard')
                $MakePuzzle['puzzleNum'] = 5;
          }

	$template->setVariable('MakePuzzle', $MakePuzzle);

	list($ret, $module) = GalleryCoreApi::loadPlugin('module', 'puzzle');
	if ($ret->isError()) 
          {
	    return array($ret->wrap(__FILE__, __LINE__), null);
	  }

	$template->title($module->translate('Make a puzzle'));

	return array(GalleryStatus::success(),
		     array('body' => 'modules/puzzle/templates/MakePuzzle.tpl'));
      }

    /**
     * @see GalleryView::getViewDescription()
     */
    function getViewDescription() 
      {
	list ($ret, $core) = GalleryCoreApi::loadPlugin('module', 'core');
	if ($ret->isError()) 
          {
	    return array($ret->wrap(__FILE__, __LINE__), null);
          }

	return array(GalleryStatus::success(), $core->translate('Make a puzzle of an image.'));
      }
}
?>
